/* GA Google Analytics Pro - Plain Text Links */

(function($) {
	
	'use strict';
	
	document.addEventListener('click', function(e) {
		if (!e.target.matches('.gapro-optin-plain')) return;
		e.preventDefault();
		alert(e.target.getAttribute('data-alert'));
		gapro_cookie_remove('optout');
		gapro_cookie_optin();
	}, false);
	
	document.addEventListener('click', function(e) {
		if (!e.target.matches('.gapro-optout-plain')) return;
		e.preventDefault();
		alert(e.target.getAttribute('data-alert'));
		gapro_cookie_remove('optin');
		gapro_cookie_optout();
	}, false);
	
	//
	
	if (document.cookie.indexOf('gapro-optout=1') > -1) {
		$('.gapro-toggle-optout').hide();
	} else {
		$('.gapro-toggle-optin').hide();
	}
	
	document.addEventListener('click', function(e) {
		if (!e.target.matches('.gapro-toggle-optout')) return;
		e.preventDefault();
		gapro_optout_toggle(e, 'optout');
	}, false);
	
	document.addEventListener('click', function(e) {
		if (!e.target.matches('.gapro-toggle-optin')) return;
		e.preventDefault();
		gapro_optout_toggle(e, 'optin');
	}, false);
	
	function gapro_optout_toggle(e, opt) {
		var a = e.target.getAttribute('data-alert');
		if (a) alert(a);
		if (opt === 'optout') {
			$('.gapro-toggle-optout').hide();
			$('.gapro-toggle-optin').show();
			gapro_cookie_remove('optin');
			gapro_cookie_optout();
		} else {
			$('.gapro-toggle-optin').hide();
			$('.gapro-toggle-optout').show();
			gapro_cookie_remove('optout');
			gapro_cookie_optin();
		}
	}
	
})(jQuery);